export ZSH="$HOME/.oh-my-zsh"
export ZSH_CUSTOM="$HOME/.oh-my-zsh-custom"
ZSH_THEME="powerlevel10k/powerlevel10k"
export DISABLE_AUTO_UPDATE=true
plugins=(
	zsh-autosuggestions
	zsh-completions
	zsh-syntax-highlighting
	zsh-edit
	git
	deno
	rust
	archlinux
	screen
	vagrant
)
source $ZSH/oh-my-zsh.sh
[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh


# [ MB ]

# plugins
ZSH_AUTOSUGGEST_STRATEGY=(completion history)
ZSH_AUTOSUGGEST_USE_ASYNC="true"

# profile
source /home/mb/.zprofile

# extend path
export PATH="/home/mb/.cargo/bin":"/home/mb/.local/bin":"/home/mb/.deno/bin":"$HOME/.local/scripts":$PATH


# [ NPM ]

# NPM packages in homedir
NPM_PACKAGES="$HOME/.npm-packages"

# Tell our environment about user-installed node tools
PATH="$NPM_PACKAGES/bin:$PATH"
# Unset manpath so we can inherit from /etc/manpath via the `manpath` command
unset MANPATH  # delete if you already modified MANPATH elsewhere in your configuration
MANPATH="$NPM_PACKAGES/share/man:$(manpath)"

# Tell Node about these packages
NODE_PATH="$NPM_PACKAGES/lib/node_modules:$NODE_PATH"

# opam configuration
[[ ! -r /home/mb/.opam/opam-init/init.zsh ]] || source /home/mb/.opam/opam-init/init.zsh  > /dev/null 2> /dev/null

export CARGO_TARGET_DIR="/home/mb/.cache/cargo-target"
export RUSTC_WRAPPER="/usr/bin/sccache"
export SCCACHE_DIR="/media/hdd1/cache/sccache"
export GOPATH="/home/mb/.go"

export C_INCLUDE_PATH="/home/mb/.local/include"

[ -f "/home/mb/.ghcup/env" ] && source "/home/mb/.ghcup/env" # ghcup-env

export TERM=xterm-256color
